Bug 1739420 - Selector volume label is not clear in the documentation
Summary: Selector volume label is not clear in the documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Bob Furu
QA Contact: Chao Yang
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-09 09:44 UTC by Jaspreet Kaur
Modified: 2020-04-16 20:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-16 20:39:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaspreet Kaur 2019-08-09 09:44:35 UTC
Document URL:  
https://docs.openshift.com/container-platform/3.11/install_config/persistent_storage/selector_label_binding.html#selector-label-volume-motivation

Section Number and Name: Define the Persistent Volume and Claim and Deploy the Persistent Volume and Claim

Describe the issue: Per the documentation if we bind the volumes and claim using selector labels binding, PVC gets bound to the PV. However it doesnt work.

Suggestions for improvement: Please explain a bit more on the expected behaviour like below :

https://bugzilla.redhat.com/show_bug.cgi?id=1717746#c1

Additional information:  storageclass & Volume-ClaimRef specification for binding purposes in addition to selector-label notation will help to associate a pvc to a particular pv only

Comment 1 Bob Furu 2020-04-08 16:42:36 UTC
Created PR 20998: https://github.com/openshift/openshift-docs/pull/20998
Currently in SME and QE review. Moving to ON_QA.

Comment 2 Bob Furu 2020-04-16 20:39:38 UTC
Approved, merged to 3.11, verified live in 3.11 docs: https://docs.openshift.com/container-platform/3.11/install_config/persistent_storage/selector_label_binding.html#selector-label-volume-bind
Closing bug.


Note You need to log in before you can comment on or make changes to this bug.